-define(SQL_PLAYER_JOURNEY_GET,<<"SELECT `act`,`map`,`tasks` FROM `custom_act_journey` WHERE rid=~p">>).
-define(SQL_PLAYER_JOURNEY_REPLACE,<<"REPLACE INTO `custom_act_journey` (`rid`,`act`,`map`,`tasks`) VALUES (~p,~p,~p,'~ts')">>).
-define(SQL_PLAYER_JOURNEY_BATCH, <<"REPLACE INTO custom_act_journey (`rid`,`act`,`map`,`tasks`) VALUES ~ts">>).

-define(JSTATUS_INIT,0). %%初始未完成
-define(JSTATUS_FIN, 1). %%已完成可领取
-define(JSTATUS_OVER,2). %%已领取

-record(act_journey, {
	act       = 0,
	map_tasks = []
}).

-record(map_journey,{
	map = 0,
	finish = 0,  %%已完成任务数
	tasks = []
}).

-record(journey_task, {
	id = 0,
	state = 0,
	value = 0,
	grade = 0  %%已领取档位
}).

%%征途地图
-record(base_journey_map,{
	map = 0, %%地图
	name = "", %%
	grade = 0,%%地图级别
	totem = 0, %%图腾
	unlock_map = 0, %%解锁对应地图
	unlock_tasks = 0 %%解锁所需任务数
}).


%%征途任务
-record(base_journey_task,{
	suit = 0, %%套件
	map = 0,  %%地图
	task = 0, %%任务
	task_type = 0, %%任务类
	desc = "", %%描述
	cons = 0, %%任务值
	unlock = 0 %%解锁条件
}).

%%征途奖励
-record(base_journey_award,{
	act = 0, %%活动
	map = 0,  %%地图
	grade = 0, %%档次
	weight = 0, %%权重
	award = [], %%奖励
	desc = "", %%描述
	days = []  %%开放天数
}).